#!/bin/sh -e

PROGNAME="termcap"
SRCDIR="${PWD}"
OBJDIR="${PWD}/obj"
INSDIR="${PWD}/ins"

export BUILD_CC="gcc"
export CC="arm-linux-gcc"
export CXX="arm-linux-g++"
export AS="arm-linux-as"
export LD="arm-linux-ld"
export AR="arm-linux-ar"
export NM="arm-linux-nm"
export RANLIB="arm-linux-ranlib"

mkdir -p "${OBJDIR}"
cd "${OBJDIR}"

echo "**** Configuring ${PROGNAME}..."
"${SRCDIR}/configure"	\
  --silent		\
  --build="i686-linux"	\
  --host="arm-linux"	\
  --target="arm-linux"	\
  --prefix="${INSDIR}"

echo "**** Building ${PROGNAME}..."
make -s

echo "**** Installing ${PROGNAME}..."
make -s install

echo "**** Stripping ${PROGNAME} binaries..."
find "${INSDIR}" -type f | xargs file | grep "ARM, .*, not stripped" | cut -d: -f1 | xargs -r arm-linux-strip

echo "**** Successfully built & installed ${PROGNAME}:"
ls -l "${INSDIR}/lib"

# EOF
